@import "vendor/bootstrap/bootstrap/variables";
@import "vendor/bourbon/bourbon";
@import "variables";
@import "typography";
@import "vendor/slick";
@import "mixins/js--enabled";
@import "mixins/columns-wide";
@import "mixins/ie10-and-up";
@import "utility-classes";

body {
  background-color: $body-bg;
}

.flex-row {
  @media (min-width: $screen-md-min) {
    display: flex;
  }
}

.js-hover {
  cursor: pointer;

  a {
    color: $link-hover-color;
    text-decoration: $link-hover-decoration;
  }
}

.gitlab-promo-banner {
  $lt-bg-color: #de7e00;
  display: flex;
  justify-content: center;
  align-items: center;
  min-height: $spacing-unit-lg;
  padding: 10px;
  background-color: $lt-bg-color;
  font-size: 20px;

  @include ie10-and-up {
    height: $spacing-unit-lg;
  }

  > a {
    border-bottom: 1px solid transparent;

    &:hover {
      border-bottom-color: $color-white;
      text-decoration: none;
    }
  }
}

.moving-to-gitlab-wrapper {
  width: 100%;
  height: 100%;

  .blank-header {
    padding: 0;
    height: 100%;

    .image-border {
      opacity: .1;

      @media all and (max-width: $screen-lg-min) {
        display: none;
      }
    }

    @media all and (max-width: $screen-lg-min) {
      padding: 20px;
    }
  }
}

.g2-splash-wrapper {
  width: 100%;
  height: 100%;
  background: url('/images/home/desk-bg.png') center center no-repeat;
  background-size: cover;
  position: relative;

  .home-splash {
    padding: 100px 140px;

    .hero-image {
      height: 300px;

      @media all and (max-width: $screen-sm-min) {
        max-width: 80%;
        width: 80%;
      }
    }

    @media all and (max-width: $screen-md-min) {
      padding: 80px 60px;
    }

    @media all and (max-width: $screen-sm-min) {
      padding: 50px 20px;
    }
  }

  &::before {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background: $modal-overlay-color;
  }
}

// sass-lint:disable-all
.gary-gruver-wrapper {
  width: 100%;
  height: 100%;
  background: url('/images/home/devops-desk.png') center center no-repeat;
  background-size: cover;
  position: relative;

  .hero-image {
    max-height: 440px !important;

    @media all and (max-width: $screen-md-min) {
      max-height: 240px !important;
    }
  }

  &::before {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background: $ee-standalone-hero-background-top-darker;
  }
}

.cern-splash-wrapper {
  width: 100%;
  height: 100%;
  background: url('/images/blogimages/cern.jpg') center center no-repeat;
  background-size: cover;
  position: relative;

  &::before {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background: $modal-overlay-color;
  }
}

.ci-splash-wrapper {
  width: 100%;
  height: 100%;
  background: url('/images/7_7/bg.jpeg') center center no-repeat;
  background-size: cover;
  position: relative;

  &::before {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background: $modal-overlay-color;
  }
}

.serverless-splash-wrapper {
    width: 100%;
    height: 100%;
    background: #548;

    .hero-image {
      max-height: 244px !important;

      @media all and (max-width: $screen-md-min) {
        max-height: 150px !important;
      }
    }

    .blank-header {
      padding: 0;
      height: 100%;

      .image-border {
        opacity: .1;

        @media all and (max-width: $screen-lg-min) {
          display: none;
        }
      }

      @media all and (max-width: $screen-lg-min) {
        padding: 20px;
      }
    }
  }

.vsm-splash-wrapper {
  width: 100%;
  height: 100%;
  background: url('/images/home/unsplash-software-team.png') center center no-repeat;
  background-size: cover;
  position: relative;

  &::before {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background: $features-gallery-alt-description-black;
  }
}

.fourth-fastest-wrapper {
  background: url('/images/home/growth-background.png') center center no-repeat;
  background-size: cover;
  width: 100%;
  height: 100%;
  position: relative;

  .fourth-fastest {

    @media all and (max-width: $screen-lg-min) {
      padding: 115px 140px;
    }

    @media all and (max-width: $screen-md-min) {
      padding: 3px 80px;
    }

    @media all and (max-width: $screen-sm-min) {
      padding: 20px;

      .hero-image {
        max-width: 280px;
        padding-top: 18px;
      }
    }
  }

  &::before {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background: $ee-standalone-hero-background-gradient;
    opacity: .9;
  }
}

.home-splash-wrapper {
  width: 100%;
  height: 100%;
  background: url('/images/home/unsplash-software-team.png') center center no-repeat;
  background-size: cover;
  position: relative;

  &::before {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background: $features-gallery-alt-description-black;
  }
}

.home-splash {
  position: relative;
  overflow: hidden;
  margin: auto;
  height: 100%;
  padding: 0 200px;
  display: flex;
  justify-content: center;
  align-items: center;
  max-width: 1440px;

  .hero-container {
    align-items: flex-start;
    padding-right: 50px;
    z-index: 1;

    @media all and (max-width: $screen-md-min) {
      padding-right: 0;
      align-items: center;
      justify-content: center;
      order: 1;
      max-width: 560px;
      margin: 40px auto;
    }

  }

  a {
    text-decoration: none;
    color: $color-white;
  }

  // sass-lint:disable-all
  .hero-image {
    transition: .2s cubic-bezier(0, 0, 0, 1);
    max-height: 340px;
    height: 100%;
    max-width: initial !important;

    @media all and (max-width: $screen-md-min) {
      max-height: 240px;
    }

  }

  .hero-image-container {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1;

    .hero-image-link {
      width: 100%;
      height: 100%;
      display: flex;
      justify-content: center;
      align-items: center;

      &:hover {

        .hero-image {
          transform: scale(1.02);
        }
      }
    }

    @media all and (max-width: $screen-md-min) {
      order: 0;
      flex-shrink: 0;
      height: auto;
    }
  }

  .forrester-logo {
    height: 56px;
    padding: 20px;
    background: $color-white;
    position: absolute;
    right: 170px;
    bottom: 120px;
    border-radius: $border-radius-large;
    box-shadow: 0 2px 4px $color-transparent-alt;
    z-index: 1;

    @media all and (max-width: $screen-lg-min) {
      right: 100px;
      bottom: 100px;
    }

    @media all and (max-width: $screen-md-min) {
      position: relative;
      height: auto;
      width: 100%;
      max-width: 300px;
      right: 0;
      bottom: 0;
    }

  }

  .btn,
  .hero-title,
  .hero-description {
    margin: 0;
  }

  p {
    margin: 0;
    font-weight: 400;
    font-size: 18px;
    cursor: pointer;
    padding: 10px;
    padding-left: 0;
  }

  p:hover {
    opacity: 1;
  }

  .hero-title {

    h1 {
      margin: 0;
      color: $color-white;
    }

  }

  .hero-description {
    margin-top: 10px;
    line-height: 1.5;
    color: $color-transparent-white-alt;
  }

  .btn {
    margin-top: 30px;
    margin-bottom: 20px;
    font-weight: 400;
    padding: 4px 30px;
    font-size: 18px;
  }

  .page-subtitle {
    @include accent-font-light;
    max-width: 784px;
    margin: 20px auto 18px;
    font-size: 28px;
  }

  @media all and (max-width: $screen-lg-min) {
    padding: 165px 80px;
  }

  @media all and (max-width: $screen-md-min) {
    padding: 40px 20px;
    flex-direction: column;
  }

  @media all and (max-width: $screen-sm-min) {
    padding: 43px 20px;
  }

}

.value-pillar-group {
  font-weight: 400;
  margin: 100px auto;
  margin-bottom: 120px;

  img {
    height: 80px;
    margin-bottom: 10px;
  }

  .pillar-title {
    font-weight: 600;
  }

  .pillar-description {
    color: $color-gray;
    font-style: italic;
  }

  ul {
    font-size: 18px;

    li {
      margin-top: .5em;
    }

  }

  .value-pillar:not(:first-child) {
    margin-left: 50px;

    @media screen and (max-width: $screen-sm-min) {
      margin-left: 0;
      margin-top: 50px;
    }

  }

  @media screen and (max-width: $screen-sm-min) {
    flex-wrap: wrap;
    max-width: 400px;
  }

}

// .home-pillars {
//   position: relative;
//   padding-top: $spacing-unit-sm;
//   padding-bottom: 220px;
//   color: $color-white;
//
//   &::before {
//     $lt-bg-color: #231a3d;
//     $lt-gradient-color-1: $lt-static-nav-bg-color;
//     $lt-gradient-color-2: #6e49cb;
//     $lt-gradient-color-3: #805de7;
//     $lt-gradient-color-4: #9578eb;
//     @include position(absolute, 0);
//     background-color: $lt-bg-color;
//     background-image: linear-gradient(180deg, $lt-gradient-color-1 0, $lt-gradient-color-2 50%, $lt-gradient-color-3 77%, $lt-gradient-color-4 100%);
//     content: "";
//     z-index: -1;
//   }
//
//   .page-subtitle {
//     @include accent-font-light;
//     max-width: 784px;
//     margin: 20px auto 18px;
//     font-size: 28px;
//   }
// }

.home-lifecycle-diagram {
  display: flex;
  flex-flow: column;
  margin-top: $spacing-unit-sm;
  margin-bottom: $spacing-unit-md;

  @media (min-width: $screen-sm-min) {
    flex-flow: row;
    margin-top: $spacing-unit-lg;
    margin-bottom: $spacing-unit-md;
  }

  &.is-checking-height {
    display: block;
  }
}

.lifecycle-diagram-nav-wrapper {
  @media (min-width: $screen-sm-min) {
    @include columns-wide(4);
  }
}

.lifecycle-diagram-nav-title {
  margin: 0 0 $spacing-unit-xs;
  color: $color-gray-dark;
  font-weight: 600;

  @media (min-width: $screen-lg-min) {
    margin-bottom: $spacing-unit-sm;
  }
}

.lifecycle-diagram-navigation {
  $lt-border-color: #7e62d0;
  $phase-colors: (plan, #1bb968), (create, #9578eb), (verify, #fca121), (package, #de7e00), (release, #c0341d), (configure, #6e49cb), (monitor, #380d75);
  @media (min-width: $screen-sm-min) {
    padding-right: 55px;
  }

  @media (max-width: $screen-xs-max) {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    margin-bottom: $spacing-unit-xs;
  }

  li {
    position: relative;
    flex: 1;
    display: flex;
    align-items: center;
    padding: 18px;
    cursor: pointer;
    border-radius: 6px;
    box-shadow: 0 0px 0px rgba(0, 0, 0, 0);
    transition: .6s cubic-bezier(0, 0, 0, 1);
    overflow: hidden;

    @media (max-width: $screen-xs-max) {
      flex: 0 0 auto;
      width: 48%;
    }

    // &:last-of-type::before {
    //   @include position(absolute, 100% null null 0);
    //   height: $lt-divider-thickness;
    //   width: 100%;
    //   background-color: $border-color;
    //   content: "";
    // }

    // @media (max-width: $screen-xs-max) {
    //   &:nth-child(6)::before {
    //     @include position(absolute, 100% null null 0);
    //     height: $lt-divider-thickness;
    //     width: 100%;
    //     background-color: $border-color;
    //     content: "";
    //   }
    // }
    span {
      color: $color-gray;
      font-size: 18px;
      transition: .2s cubic-bezier(0, 0, 0, 1);
    }

    @each $phase, $color in $phase-colors {
      &.#{$phase} {
        color: $color;
      }
    }

    &.is-active {
      background-color: $color-white;
      box-shadow: 0 10px 20px $color-transparent-alt;
      z-index: 10;

      span {
        color: $color-gray-dark;
        transform: translateX(6px);
      }

      // &::after {
      //   @include position(absolute, 0 null null 100%);
      //   // Manual triangle to use `currentcolor`
      //   height: 0;
      //   width: 0;
      //   border-color: transparent transparent transparent currentcolor;
      //   border-style: solid;
      //   border-width: 40px 0 40px 36px;
      //
      //   @media (min-width: $screen-sm-min) {
      //     content: "";
      //   }
      // }
    }
  }

  .icon-wrapper {
    @include size(40px);
    position: relative;
    display: none;
    align-items: center;
    justify-content: center;
    margin-right: 12px;
    border-radius: 6px;
    background-color: $color-white;

    @media (min-width: $screen-sm-min) {
      display: flex;
    }
  }

  .is-active .icon-wrapper {
    background-color: currentcolor;
    animation: iconWrapperAnimation .2s cubic-bezier(0, 0, 0, 1) forwards;
  }

  svg {
    height: 24px;

    path {
      stroke: currentcolor;
      fill: currentcolor;
    }
  }

  .is-active svg path {
    stroke: $color-white;
    fill: $color-white;
  }

  span {
    position: relative;
    color: $color-gray-dark;
    opacity: .6;
  }

  .is-active span {
    color: $color-gray-dark;
    opacity: 1;
  }
}

@keyframes iconWrapperAnimation {
  from {
    transform: scale(.6);
  }

  to {
    transform: scale(1);
  }
}

.lifecycle-diagram-phase {
  color: $color-gray-dark;

  @media (max-width: $screen-xs-max) {
    // sass-lint:disable no-important
    min-height: auto !important;
  }

  @include js--enabled() {
    @media (min-width: $screen-sm-min) {
      @include columns-wide(8);
      padding-left: $spacing-unit-md;
    }

    &:not(:first-of-type) {
      display: none;
    }
  }

  .home-lifecycle-diagram.is-checking-height & {
    // sass-lint:disable no-important
    display: block !important;
  }

  .title {
    margin-top: 0;
  }

  .description {
    margin-bottom: 15px;
    color: $color-gray;
  }

  .more-link {
    color: $color-blue-link;
  }

  .image-wrapper {
    margin-top: $spacing-unit-sm;

    img {
      border: 1px solid $border-color;
    }
  }
}

.logo-divider {
  margin-top: 65px;
  margin-bottom: 40px;
}

.logo-divider-body {
  position: relative;

  &::before {
    position: absolute;
    top: 0;
    right: 0;
    left: 0;
    height: 3px;
    background-color: $color-accent-light;
    content: "";
  }

  &::after {
    $lt-width: 60px;
    position: absolute;
    top: 0;
    left: 50%;
    width: $lt-width;
    height: 3px;
    margin-left: -#{$lt-width / 2};
    background-color: $color-white;
    content: "";
  }

  svg {
    $lt-width: 43px;
    $lt-height: 39px;
    width: $lt-width;
    height: $lt-height;
    top: -#{$lt-height / 2};
    margin-left: -#{$lt-width / 2};
    z-index: 5;
  }
}

.enterprise-edition {
  $lt-bg-color: #de7e00;
  padding: $spacing-unit-lg 0;
  background-color: $lt-bg-color;
  background-image: linear-gradient(to bottom, $color-self-managed-accent, $color-saas-accent);
  color: $color-white;

  .cta-btn {

    &:last-child {
      margin-left: 20px;

      @media all and (max-width: $screen-md-min) {
        margin-left: 0;
        margin-top: 20px;
      }

    }

    @media all and (max-width: $screen-md-min) {
      min-width: 220px;
    }

  }

  p {

    a {
      color: inherit;
      font-weight: inherit;
      border-bottom: 1px solid currentcolor;

      &:hover {
        border-color: transparent;
        text-decoration: none;
      }
    }
  }
}

// .value-pillar-section {
//   margin-top: 50px;
//   margin-bottom: 75px;
//
//   .main-heading {
//     max-width: 680px;
//     margin-right: auto;
//     margin-bottom: 30px;
//     margin-left: auto;
//   }
// }

// .value-pillar-group {
//   display: flex;
//   flex-wrap: wrap;
//   justify-content: space-between;
// }

// .value-pillar {
//   display: flex;
//   margin-top: 20px;
//   margin-left: 30px;
//   margin-right: 30px;
//   font-size: 20px;
//   font-weight: 300;
//
//   @media (min-width: $screen-md-min) {
//     flex: 1 0 20%;
//   }
//
//   .value-pillar-media {
//     flex: 0 0 116px;
//
//     svg path,
//     svg rect {
//       $lt-icon-color: #6b4fbb;
//       fill: $lt-icon-color;
//     }
//   }
//
//   .value-pillar-body {
//     flex: 1 1;
//   }
// }

// .pillar-title {
//   @include accent-font-regular;
//   margin-top: 0;
//   font-size: 26px;
// }
.eleven-oh-announcement {
  background: url('/images/home/eleven-oh-bg.png') center center no-repeat;
  background-size: cover;
  width: 100%;
  height: 100%;

  .eleven-oh-content-container {
    padding: 0 200px;
    padding-right: 0;
    max-width: 1440px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: auto;
    height: 100%;

    .eleven-oh-content {
      padding-right: 50px;

      @media all and (max-width: $screen-md-min) {
        padding-right: 0;
      }
    }

    @media all and (max-width: $screen-lg-min) {
      padding: 150px 140px;
    }

    @media all and (max-width: $screen-md-min) {
      padding: 186px 100px;
      flex-direction: column;
    }

    @media all and (max-width: $screen-sm-min) {
      padding: 176px 20px;
    }
  }

  .max-width-container {
    max-width: 1440px;

    @media all and (max-width: $screen-md-min) {
      flex-wrap: wrap;
    }

  }

  video {
    width: 100%;
    background-color: $color-primary;
    border-radius: 6px 0 0 6px;
    box-shadow: 0 10px 20px $color-transparent-alt;

    @media all and (min-width: $screen-macbook) {
      border-radius: 6px;
    }

    @media all and (max-width: $screen-md-min) {
      display: none;
    }

  }

  video::-webkit-media-controls {
    display: none;
  }

  h1 {
    font-size: 42px;
    font-weight: 600;
  }

  .dot-oh {
    font-size: 50px;
    font-weight: 900;
  }

  .dot-oh-image {
    width: 100%;
    max-height: 80%;
  }

  .learn-more {
    font-size: 18px;
    color: $color-white;
  }

  h1 {
    color: $color-white;
  }

  p {
    color: $color-transparent-white-alt;
  }

  .btn {
    margin: 0;
    margin-top: 30px;
    font-weight: 400;
    padding: 4px 30px;
    font-size: 18px;
  }

  @media all and (max-width: $screen-md-min) {
    flex-wrap: wrap;
    padding-bottom: 0;
  }

}

.ten-oh-announcement {
  position: relative;
  color: $color-white;
  overflow-x: hidden;

  .ten-oh-description-body {
    z-index: 1;
  }

  .row {
    display: flex;
    flex-flow: column;
    align-items: center;

    @media(min-width: $screen-lg-min) {
      flex-flow: row;
    }
  }
}

.ten-oh-label {
  @include accent-font-bold;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  font-size: 150px;
  line-height: 1;
  text-align: center;

  @media (min-width: $screen-sm-min) {
    font-size: 190px;
  }

  @media (min-width: $screen-lg-min) {
    font-size: 233px;
  }

  @media (min-width: 2400px) {
    padding-top: $spacing-unit-sm;
  }

  &::before {
    position: absolute;
    top: 0;
    left: -6.6%;
    width: 107%;
    height: 100%;
    background: url("/images/home/sky-bg.jpg") 50% 100% / cover no-repeat;
    content: "";
  }

  > span {
    position: relative;
  }
}

.ten-oh-description {
  position: relative;
  display: flex;
  flex-flow: column;
  justify-content: center;
  align-items: center;
  overflow: hidden;
  padding: 200px 40px 100px;

  &::before {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: url("/images/home/mountains-bg-480.png") 50% 0 / cover no-repeat;
    content: "";

    @media (min-width: 380px) {
      top: -10px;
    }

    @media (min-width: 410px) {
      top: -20px;
    }

    @media (min-width: 440px) {
      top: -30px;
    }

    @media (min-width: 460px) {
      top: -40px;
    }

    @media (min-width: $screen-xs-min) {
      background-image: url("/images/home/mountains-bg-768.png");
      top: -10px;
    }

    @media (min-width: 500px) {
      top: 0;
    }

    @media (min-width: 600px) {
      top: -10px;
    }

    @media (min-width: 650px) {
      top: -20px;
    }

    @media (min-width: 700px) {
      top: -30px;
    }

    @media (min-width: 740px) {
      top: -40px;
    }

    @media (min-width: $screen-sm-min) {
      background-image: url("/images/home/mountains-bg-992.png");
      top: 30px;
    }

    @media (min-width: 850px) {
      top: 10px;
    }

    @media (min-width: 900px) {
      top: 0;
    }

    @media (min-width: $screen-md-min) {
      background-image: url("/images/home/mountains-bg-1200.png");
      top: 20px;
    }

    @media (min-width: 1050px) {
      top: 0;
    }

    @media (min-width: $screen-lg-min) {
      background-image: url("/images/home/mountains-bg.png");
    }

    @media (min-width: 1200px) {
      top: 80px;
    }

    @media (min-width: 1500px) {
      top: 60px;
    }

    @media (min-width: 1800px) {
      top: 40px;
    }

    @media (min-width: 2000px) {
      top: 0;
    }
  }

  @media (min-width: $screen-lg-min) {
    padding: 200px 80px 80px;
  }

  .main-heading {
    margin-bottom: 27px;
  }
}

.top-30-callout {
  $lt-bg-color: #007bc3;
  $lt-gradient-start-color: #3c257b;
  $lt-gradient-mid-color: #074799;
  $lt-gradient-end-color: #15a0e8;
  @include size(250px);
  @include margin(null auto);
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
  background-color: $lt-bg-color;
  background-image: linear-gradient(180deg, $lt-gradient-start-color, $lt-gradient-mid-color 50%, $lt-gradient-end-color);
  color: $color-white;
  text-align: center;

  @media (min-width: $screen-sm-min) {
    @include size(357px);
  }

  span {
    @include accent-font-light;
    display: block;
    font-size: 24px;
    line-height: 1.2;

    @media (min-width: $screen-sm-min) {
      font-size: 36px;
    }
  }

  em {
    @include accent-font-light;
    font-size: 50px;
    font-style: normal;
    line-height: 1;
    text-transform: uppercase;
  }

  strong {
    @include accent-font-bold;
    line-height: 1;
    font-size: 50px;
  }

  @media (min-width: $screen-sm-min) {
    em,
    strong {
      font-size: 90px;
    }
  }
}

.customers,
.customers-carousel,
.customers-carousel-slide {
  background-color: $link-color;
}

.customers-carousel-slide {
  background-position: 100% 0;
  background-repeat: no-repeat;
  background-size: contain;
  overflow-x: hidden;

  @import "components/slide-media";
}

.customer-quote {
  $lt-color: #fefefe;
  border-left: 0;
  color: $lt-color;
  font-size: 20px;
  padding-top: $spacing-unit-sm;
  padding-bottom: $spacing-unit-sm;
  margin-bottom: 0;

  @media (min-width: $screen-md-min) {
    padding: $spacing-unit-lg 0;
  }

  .quote-text {
    margin-bottom: 30px;
    line-height: (30px / 20px);
  }

  .quote-meta {
    display: flex;
    align-items: center;
  }

  .quote-media {
    max-width: 60px;
    margin-right: 10px;
    border-radius: 50%;
    overflow: hidden;
  }

  .quote-attribution {
    font-style: normal;
  }

  .quote-attribution-title {
    display: block;
    font-size: 14px;
  }
}

// SCSS extracted from here for re-use.
// Keeping location to avoid specificity issues.
@import "feature-group";

.forrester-wave-section {
  margin-bottom: 90px;
  padding: 60px 0;
  background: $color-white;

  @media (max-width: $screen-sm-max) {
    .flex-row {
      flex-wrap: wrap;
    }

    .forrester-wave-media {
      margin-top: 40px;
    }
  }
}

.forrester-wave-body {
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.values-pillars {
  margin-top: 100px;

  @include js--enabled() {
    display: flex;
    flex-flow: column;

    @media (min-width: $screen-sm-min) {
      flex-flow: row;
    }

    .value {
      display: none;
    }
  }

  .value {
    flex: 1 1 auto;
    padding-left: $spacing-unit-xs;

    &.is-active {
      display: block;
    }
  }

  .value-content {
    margin-bottom: $spacing-unit-xs;

    ul {
      padding-left: 22px;
    }

    li {
      margin-bottom: 10px;
    }
  }

  .sub-heading {
    margin: $spacing-unit-xs 0;
    line-height: 1.3;

    @media (min-width: $screen-md-min) {
      font-size: 34px;
    }
  }

  .value-media {
    .screen-shot-wrapper {
      $lt-laptop-width: 612px;
      $lt-top-padding: (24px / $lt-laptop-width) * 100%;
      $lt-right-padding: (88px / $lt-laptop-width) * 100%;
      $lt-bottom-padding: (35px / $lt-laptop-width) * 100%;
      $lt-left-padding: (87px / $lt-laptop-width) * 100%;
      position: relative;
      padding: $lt-top-padding $lt-right-padding $lt-bottom-padding $lt-left-padding; // To keep screenshot inside laptop frame
      background: url("/images/home/laptop.png") 50% 0 / contain no-repeat;

      &::after {
        position: absolute;
        top: 100%;
        left: -5%;
        width: 110%;
        height: 9%;
        //background: url("/images/home/laptop-shadow.png") 50% 0 / contain no-repeat;
        content: "";
      }
    }
  }

  @media (min-width: $screen-md-min) {
    .value.is-active {
      display: flex;
    }

    .value-content {
      @include columns-wide(4);
      flex: 1 0 auto;
      margin-bottom: 0;
      padding-left: 0;
    }

    .value-media {
      @include columns-wide(6);
      flex: 1 0 auto;
    }
  }
}

.values-pillars-nav {
  @include columns-wide(2);
  flex: 0 0 auto;

  @media (max-width: $screen-xs-max) {
    display: flex;
    justify-content: space-around;
    width: 100%;
  }

  li {
    $lt-color: #380d75;
    display: flex;
    position: relative;
    flex-flow: column;
    justify-content: center;
    align-items: center;
    width: 110px;
    height: 110px;
    margin-bottom: 5px;
    background: $color-white;
    color: $lt-color;
    opacity: .25;

    &.is-active {
      opacity: 1;

      &::after {
        @include triangle(right, 10px, 20px, $color-white);
        @include position(absolute, 50% null null 100%);
        margin-top: -10px;
        content: "";

        @media (max-width: $screen-xs-max) {
          @include triangle(down, 20px, 10px, $color-white);
          top: 100%;
          left: 50%;
          margin-top: 0;
          margin-left: -10px;
        }
      }
    }

    .label {
      margin-top: 10px;
    }
  }
}

.integrated-teams {
  margin-top: 80px;
  margin-bottom: 75px;
  padding: 6.41026% 8.54701%;
  background-color: $color-primary-alt;
  color: $color-white;

  @media (min-width: $screen-sm-min) {
    padding: 45px;
  }

  h2 {
    margin-top: 0;
  }

}

.gke-layer {
  .gke-layer-body {
    $lt-vert-padding: (75px / 1170px) * 100%;
    $lt-horiz-padding: (100px / 1170px) * 100%;
    padding: $lt-vert-padding $lt-horiz-padding;
    background-color: $color-white;

    h2 {
      margin-top: 0;
    }

    @media (min-width: $screen-md-min) {
      padding: 40px 60px;
    }
  }

  .gke-layer-media {
    $lt-horiz-padding: (44px / 1170px) * 100%;
    display: flex;
    align-items: center;
    padding: $spacing-unit-xs $lt-horiz-padding;
    background-color: $color-primary;
    background-image: linear-gradient(-180deg, $purple-section-gradient-to 0%, $purple-section-gradient-from 100%);
  }

  .k8s-layer-media {
    $lt-horiz-padding: (44px / 1170px) * 100%;
    display: flex;
    align-items: center;
    padding: $spacing-unit-xs $lt-horiz-padding;
    background-color: $color-white;
  }

  @media (min-width: $screen-md-min) {
    display: flex;

    .gke-layer-body {
      @include columns-wide(6);
    }

    .gke-layer-media {
      @include columns-wide(6);
    }
  }
}

.bottom-buttons .btn-group {
  @include position(absolute, null null 0 15px);
}

.feature-media {
  max-width: 100%;
}

/* 201908026 www-gitlab-com#5156  */

.hero-container.blhero {
  padding-bottom: 115px;
  text-align: left;
}

.hero-container.blhero .hero-content h1 {
  font-size: 42px;
  text-align: left;
}

.hero-container.blhero .hero-content p {
  font-size: 20px;
}

.hero-container.blhero .hero-content .hero-thumb-container {
  margin: 0 auto;
  max-width: 350px;
}

.hero-container.blhero .cta-btn.large {
  padding-left: 30px;
  padding-right: 30px;
}

@media (max-width: $screen-md) {

  .hero-container.blhero {
    text-align: center;
  }

  .hero-container.blhero .hero-content h1 {
    text-align: center;
  }

  .hero-container.blhero .hero-content p {
    max-width: 640px;
  }

  .hero-container.blhero .hero-content .hero-thumb-container {
    margin: 0 auto;
  }

}

.simple-cta {
  background: #ffffff;
  border-radius: 4px;
  box-shadow: $box-shadow-medium;
  font-size: 24px;
  font-weight: 700;
  margin: 0px auto 0px auto;
  max-width: 700px;
  padding: 20px;
  position: relative;
  text-align: center;
}

.simple-cta.pullup {
  margin-top: -98px;
}

.challenge-boxes {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}

.challenge-boxes .challenge-box {
  background: #ffffff;
  border-radius: 4px;
  box-shadow: $box-shadow-medium;
  float: none;
  flex: 0 0 auto;
  margin: 0px 15px 0px 15px;
  min-width: 280px;
  overflow: hidden; /* border radius cropping */
  padding: 30px;
  position: relative;
  width: calc(33% - 30px);
}

.challenge-boxes .challenge-box .box-image {
  background: $color-primary;
  color: #ffffff;
  font-size: 24px;
  font-weight: 700;
  height: 0;
  left: 0;
  padding-bottom: 56.25%;
  position: absolute;
  top: 0;
  width: 100%;
}

.challenge-boxes .challenge-box .box-image:before {
  background: rgba(28,22,53,0.75);
  content: "";
  height: 100%;
  left: 0;
  position: absolute;
  top: 0;
  width: 100%;
}

.challenge-boxes .challenge-box .box-image-title {
  left: 0;
  position: absolute;
  text-align: center;
  top: calc(50% - .75em);
  width: 100%;
  z-index: 2;
}

.challenge-boxes .challenge-box .box-title {
  font-size: 24px;
  font-weight: 700;
  margin-bottom: 8px;
  margin-top: calc(56.25% + 30px);
}

.challenge-boxes .challenge-box .box-heading {
  font-size: 24px;
  margin-bottom: 24px;
}

.challenge-boxes .challenge-box .box-copy {
  font-size: 18px;
  margin-bottom: 14px;
}

.challenge-boxes .challenge-box .box-link {
  font-size: 18px;
}
.challenge-boxes .challenge-box .box-link i {
  font-size: 12px;
  margin-left: 4px;
}

.wrapper-dark .contact-sales-container h2 {
  color: #ffffff;
}

.wrapper-dark .contact-sales-container {
  background: $just-commit-dark;
  color: rgba(255,255,255,.7);
  padding: 40px;
}

.wrapper-dark .contact-sales-container a:not(.cta-btn) {
  color: rgba(255,255,255,.7);
  text-decoration: underline;
}

.wrapper-dark .contact-sales-container a:not(.cta-btn):active,
.wrapper-dark .contact-sales-container a:not(.cta-btn):focus,
.wrapper-dark .contact-sales-container a:not(.cta-btn):hover {
  color: #ffffff;
}

.sdlc-description p {
  font-size: 24px;
}
